SET NOCOUNT ON;

INSERT INTO yahoo.AssetProfiles
    ( [LoadDate]
    , [LoadTime]
    , [MarketDate]
    , [MarketTime]
    , [Symbol]
    , [address1]
    , [city]
    , [state]
    , [zip]
    , [country]
    , [phone]
    , [website]
    , [industry]
    , [industrySymbol]
    , [sector]
    , [longBusinessSummary]
    , [fullTimeEmployees]
    , [companyOfficers_0_name]
    , [companyOfficers_0_age]
    , [companyOfficers_0_title]
    , [companyOfficers_0_fiscalYear]
    , [companyOfficers_0_totalPay]
    , [companyOfficers_0_totalPay_fmt]
    , [companyOfficers_0_exercisedValue]
    , [companyOfficers_0_exercisedValue_fmt]
    , [companyOfficers_0_unexercisedValue]
    , [companyOfficers_0_unexercisedValue_fmt]
    , [companyOfficers_1_name]
    , [companyOfficers_1_age]
    , [companyOfficers_1_title]
    , [companyOfficers_1_fiscalYear]
    , [companyOfficers_1_totalPay]
    , [companyOfficers_1_totalPay_fmt]
    , [companyOfficers_1_exercisedValue]
    , [companyOfficers_1_exercisedValue_fmt]
    , [companyOfficers_1_unexercisedValue]
    , [companyOfficers_1_unexercisedValue_fmt]
    , [companyOfficers_2_name]
    , [companyOfficers_2_age]
    , [companyOfficers_2_title]
    , [companyOfficers_2_fiscalYear]
    , [companyOfficers_2_totalPay]
    , [companyOfficers_2_totalPay_fmt]
    , [companyOfficers_2_exercisedValue]
    , [companyOfficers_2_exercisedValue_fmt]
    , [companyOfficers_2_unexercisedValue]
    , [companyOfficers_2_unexercisedValue_fmt]
    , [companyOfficers_3_age]
    , [companyOfficers_3_title]
    , [companyOfficers_3_fiscalYear]
    , [companyOfficers_3_totalPay]
    , [companyOfficers_3_totalPay_fmt]
    , [companyOfficers_3_exercisedValue]
    , [companyOfficers_3_exercisedValue_fmt]
    , [companyOfficers_3_unexercisedValue]
    , [companyOfficers_3_unexercisedValue_fmt]
    , [auditRisk]
    , [boardRisk]
    , [compensationRisk]
    , [shareHolderRightsRisk]
    , [overallRisk]
    , [governanceEpochDate]
    , [compensationAsOfEpochDate]
    )
SELECT
    t.[LoadDate]
    , t.[LoadTime]
    , t.[MarketDate]
    , t.[MarketTime]
    , t.[Symbol]
    , t.[address1]
    , t.[city]
    , t.[state]
    , t.[zip]
    , t.[country]
    , t.[phone]
    , t.[website]
    , t.[industry]
    , t.[industrySymbol]
    , t.[sector]
    , t.[longBusinessSummary]
    , t.[fullTimeEmployees]
    , t.[companyOfficers_0_name]
    , t.[companyOfficers_0_age]
    , t.[companyOfficers_0_title]
    , t.[companyOfficers_0_fiscalYear]
    , t.[companyOfficers_0_totalPay]
    , t.[companyOfficers_0_totalPay_fmt]
    , t.[companyOfficers_0_exercisedValue]
    , t.[companyOfficers_0_exercisedValue_fmt]
    , t.[companyOfficers_0_unexercisedValue]
    , t.[companyOfficers_0_unexercisedValue_fmt]
    , t.[companyOfficers_1_name]
    , t.[companyOfficers_1_age]
    , t.[companyOfficers_1_title]
    , t.[companyOfficers_1_fiscalYear]
    , t.[companyOfficers_1_totalPay]
    , t.[companyOfficers_1_totalPay_fmt]
    , t.[companyOfficers_1_exercisedValue]
    , t.[companyOfficers_1_exercisedValue_fmt]
    , t.[companyOfficers_1_unexercisedValue]
    , t.[companyOfficers_1_unexercisedValue_fmt]
    , t.[companyOfficers_2_name]
    , t.[companyOfficers_2_age]
    , t.[companyOfficers_2_title]
    , t.[companyOfficers_2_fiscalYear]
    , t.[companyOfficers_2_totalPay]
    , t.[companyOfficers_2_totalPay_fmt]
    , t.[companyOfficers_2_exercisedValue]
    , t.[companyOfficers_2_exercisedValue_fmt]
    , t.[companyOfficers_2_unexercisedValue]
    , t.[companyOfficers_2_unexercisedValue_fmt]
    , t.[companyOfficers_3_age]
    , t.[companyOfficers_3_title]
    , t.[companyOfficers_3_fiscalYear]
    , t.[companyOfficers_3_totalPay]
    , t.[companyOfficers_3_totalPay_fmt]
    , t.[companyOfficers_3_exercisedValue]
    , t.[companyOfficers_3_exercisedValue_fmt]
    , t.[companyOfficers_3_unexercisedValue]
    , t.[companyOfficers_3_unexercisedValue_fmt]
    , t.[auditRisk]
    , t.[boardRisk]
    , t.[compensationRisk]
    , t.[shareHolderRightsRisk]
    , t.[overallRisk]
    , t.[governanceEpochDate]
    , t.[compensationAsOfEpochDate]
FROM
    (
    SELECT
        [LoadDate] AS [LoadDate]
        , [LoadTime] AS [LoadTime]
        , [MarketDate] AS [MarketDate]
        , [MarketTime] AS [MarketTime]
        , [Symbol] AS [Symbol]
        , [address1] AS [address1]
        , [city] AS [city]
        , [state] AS [state]
        , [zip] AS [zip]
        , [country] AS [country]
        , [phone] AS [phone]
        , [website] AS [website]
        , [industry] AS [industry]
        , [industrySymbol] AS [industrySymbol]
        , [sector] AS [sector]
        , [longBusinessSummary] AS [longBusinessSummary]
        , [fullTimeEmployees] AS [fullTimeEmployees]
        , [companyOfficers_0_name] AS [companyOfficers_0_name]
        , [companyOfficers_0_age] AS [companyOfficers_0_age]
        , [companyOfficers_0_title] AS [companyOfficers_0_title]
        , [companyOfficers_0_fiscalYear] AS [companyOfficers_0_fiscalYear]
        , [companyOfficers_0_totalPay] AS [companyOfficers_0_totalPay]
        , [companyOfficers_0_totalPay_fmt] AS [companyOfficers_0_totalPay_fmt]
        , [companyOfficers_0_exercisedValue] AS [companyOfficers_0_exercisedValue]
        , [companyOfficers_0_exercisedValue_fmt] AS [companyOfficers_0_exercisedValue_fmt]
        , [companyOfficers_0_unexercisedValue] AS [companyOfficers_0_unexercisedValue]
        , [companyOfficers_0_unexercisedValue_fmt] AS [companyOfficers_0_unexercisedValue_fmt]
        , [companyOfficers_1_name] AS [companyOfficers_1_name]
        , [companyOfficers_1_age] AS [companyOfficers_1_age]
        , [companyOfficers_1_title] AS [companyOfficers_1_title]
        , [companyOfficers_1_fiscalYear] AS [companyOfficers_1_fiscalYear]
        , [companyOfficers_1_totalPay] AS [companyOfficers_1_totalPay]
        , [companyOfficers_1_totalPay_fmt] AS [companyOfficers_1_totalPay_fmt]
        , [companyOfficers_1_exercisedValue] AS [companyOfficers_1_exercisedValue]
        , [companyOfficers_1_exercisedValue_fmt] AS [companyOfficers_1_exercisedValue_fmt]
        , [companyOfficers_1_unexercisedValue] AS [companyOfficers_1_unexercisedValue]
        , [companyOfficers_1_unexercisedValue_fmt] AS [companyOfficers_1_unexercisedValue_fmt]
        , [companyOfficers_2_name] AS [companyOfficers_2_name]
        , [companyOfficers_2_age] AS [companyOfficers_2_age]
        , [companyOfficers_2_title] AS [companyOfficers_2_title]
        , [companyOfficers_2_fiscalYear] AS [companyOfficers_2_fiscalYear]
        , [companyOfficers_2_totalPay] AS [companyOfficers_2_totalPay]
        , [companyOfficers_2_totalPay_fmt] AS [companyOfficers_2_totalPay_fmt]
        , [companyOfficers_2_exercisedValue] AS [companyOfficers_2_exercisedValue]
        , [companyOfficers_2_exercisedValue_fmt] AS [companyOfficers_2_exercisedValue_fmt]
        , [companyOfficers_2_unexercisedValue] AS [companyOfficers_2_unexercisedValue]
        , [companyOfficers_2_unexercisedValue_fmt] AS [companyOfficers_2_unexercisedValue_fmt]
        , [companyOfficers_3_age] AS [companyOfficers_3_age]
        , [companyOfficers_3_title] AS [companyOfficers_3_title]
        , [companyOfficers_3_fiscalYear] AS [companyOfficers_3_fiscalYear]
        , [companyOfficers_3_totalPay] AS [companyOfficers_3_totalPay]
        , [companyOfficers_3_totalPay_fmt] AS [companyOfficers_3_totalPay_fmt]
        , [companyOfficers_3_exercisedValue] AS [companyOfficers_3_exercisedValue]
        , [companyOfficers_3_exercisedValue_fmt] AS [companyOfficers_3_exercisedValue_fmt]
        , [companyOfficers_3_unexercisedValue] AS [companyOfficers_3_unexercisedValue]
        , [companyOfficers_3_unexercisedValue_fmt] AS [companyOfficers_3_unexercisedValue_fmt]
        , [auditRisk] AS [auditRisk]
        , [boardRisk] AS [boardRisk]
        , [compensationRisk] AS [compensationRisk]
        , [shareHolderRightsRisk] AS [shareHolderRightsRisk]
        , [overallRisk] AS [overallRisk]
        , [governanceEpochDate] AS [governanceEpochDate]
        , [compensationAsOfEpochDate] AS [compensationAsOfEpochDate]
        , ROW_NUMBER() OVER (PARTITION BY [LoadDate], [Symbol] ORDER BY [LoadTime]) AS [Row]
    FROM
        OPENROWSET(
            BULK 'C:\MarketData\csv\YahooAssetProfiles.csv',
            FORMATFILE = 'C:\MarketData\bin\YahooAssetProfiles.fmt',
            CODEPAGE = '1252',
            FIRSTROW = 2) t
    ) t
    LEFT OUTER JOIN yahoo.AssetProfiles d
        ON d.Symbol = t.Symbol COLLATE SQL_Latin1_General_CP1_CI_AS AND d.LoadDate = t.LoadDate
WHERE
    d.Symbol IS NULL
    AND t.[Row] = 1
